import { index, layout, route } from "@react-router/dev/routes";
import type { RouteConfig } from "@react-router/dev/routes";

export default [
  layout("./routes/auth/layout.tsx", [
    route("login", "./routes/auth/login/page.tsx"),
    route("signup", "./routes/auth/signup/page.tsx"),
  ]),
  layout("./routes/app/layout.tsx", [
    index("./routes/app/workspace/page.tsx"),
  ]),
] satisfies RouteConfig;
